Package oracle.dbtools.plugin.api.http.annotations

## Enum PreHookPolicy

- java.lang.Object
- - java.lang.Enum<PreHookPolicy>
  - - oracle.dbtools.plugin.api.http.annotations.PreHookPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PreHookPolicy>`

      public enum PreHookPolicy
      extends java.lang.Enum<PreHookPolicy>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DISABLE` | Configured PreHook will NOT be executed for this resource
    `ENABLE` | Configured PreHook will be executed for this resource

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PreHookPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PreHookPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLE

          public static final PreHookPolicy ENABLE

      Configured PreHook will be executed for this resource

    - #### DISABLE

          public static final PreHookPolicy DISABLE

      Configured PreHook will NOT be executed for this resource

  - ### Method Detail

    - #### values

          public static PreHookPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PreHookPolicy c : PreHookPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PreHookPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null